文档
批量下载文档(ZIP)
将多个上传文件文档下载为单个 ZIP 压缩包。最多接受 100 个文档 ID。
POST
/
datasets
/
{dataset_id}
/
documents
/
download-zip
批量下载文档(ZIP)
curl --request POST \
--url https://{api_base_url}/datasets/{dataset_id}/documents/download-zip \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://{api_base_url}/datasets/{dataset_id}/documents/download-zip"
payload = { "document_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({document_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://{api_base_url}/datasets/{dataset_id}/documents/download-zip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Authorizations
API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}。强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized。
Path Parameters
知识库 ID。
Body
application/json
要包含在 ZIP 压缩包中的文档 ID 数组。
Required array length:
1 - 100 elementsResponse
包含所请求文档的 ZIP 压缩包。
ZIP 压缩包二进制流。
Last modified on July 9, 2026
Was this page helpful?
⌘I
批量下载文档(ZIP)
